#!/bin/bash -f

# usage: sbatch ./runPelegant.sh <elegantfile> <Ib> <root> <Npass> <Nparticle> <Cx> <Cy> <Vrf3> <zzfactor> 

#SBATCH --partition=petra4
#SBATCH --time=96:00:00
#SBATCH --nodes=1                      
#SBATCH --chdir=/beegfs/desy/user/chaoli/petra4/Barelattice/P4_H6BA_v3_0/ILMatrixFromTracking
#SBATCH --job-name=Pelegant
#SBATCH --output=Pelegant-%j.out  # File to which STDOUT will be written
#SBATCH --error=Pelegant-%j.err  # File to which STDERR will be written
#SBATCH --mail-type=FAIL                # Type of email notification- BEGIN,END,FAIL,ALL
#SBATCH --mail-user=li.chao@desy.de  # Email to which notifications will be sent


unset LD_PRELOAD

elegantInput=$1
root=$2
qin=$3


#export ECMD="${elegantInput} -macro=root=${root},qin=${qin}" #,Npass=${Npass},Nparticle=${Nparticle}"

export ECMD="${elegantInput}" # -macro=root=${root},qin=${qin}"
export RPN_DEFNS=/usr/local/oag/defns.rpn

# initialize module system
source /etc/profile.d/modules.sh


#module load mpi/openmpi-x86_64-intel

# set INTEL openmpi
module load mpi/openmpi-x86_64

mpirun --mca pml ucx -N $(( $(nproc) / 2)) Pelegant $ECMD





